%global dlrn_nvr tripleo-puppet-elements-11.2.2.dev2-0.20200128210949.d668f88
%global dlrn 1
%define upstream_version 11.2.2.dev2
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver 3
%else
%global pyver 2
%endif

%global pyver_bin python%{pyver}
%global pyver_sitelib %python%{pyver}_sitelib
%global pyver_install %py%{pyver}_install
%global pyver_build %py%{pyver}_build
# End of macros for py2/py3 compatibility

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
# Turn off the brp-python-bytecompile script
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')

Name:		openstack-tripleo-puppet-elements
Summary:	OpenStack TripleO Puppet Elements for diskimage-builder
Version: 11.2.2
Release: 0.20200128210949.d668f88%{?dist}
License:	ASL 2.0
Group:		System Environment/Base
URL:		https://wiki.openstack.org/wiki/TripleO
Source0: tripleo-puppet-elements-11.2.2.dev2-0.20200128210949.d668f88.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=d668f8807d2d016f23a03add7d12b467b9869425

BuildArch:	noarch
BuildRequires:	python%{pyver}-devel
BuildRequires:	python%{pyver}-setuptools
BuildRequires:	python%{pyver}-pbr

%description
OpenStack TripleO Puppet Elements is a collection of elements for
diskimage-builder that can be used to build OpenStack images configured with
Puppet for the TripleO program.

%prep
%setup -q -n tripleo-puppet-elements-%{upstream_version}

%build
%{pyver_build}

%install
%{pyver_install}

# remove .git-keep-empty files that get installed
find %{buildroot} -name .git-keep-empty | xargs rm -f

%files
%doc LICENSE
%doc README.rst
%{pyver_sitelib}/tripleo_puppet_elements*
%{_datadir}/tripleo-puppet-elements

%changelog
* Tue Jan 28 2020 OSP Prod Chain <dev-null@redhat.com> 11.2.1-1
- Update patches
- Revert "Remove libvirt package" due to https://bugs.launchpad.net/tripleo/+bug/1860971 and planning a backport later

* Thu Jan 23 2020 OSP Prod Chain <dev-null@redhat.com> 11.2.1-1
- Update patches
- Remove libvirt package

* Tue Jan 07 2020 OSP Prod Chain <dev-null@redhat.com> 11.2.1-1
- Update patches

* Fri Dec 20 2019 OSP Prod Chain <dev-null@redhat.com> 11.2.0-1
- Update patches
- RHEL8: Use podman-docker

* Fri Nov 08 2019 OSP Prod Chain <dev-null@redhat.com> 11.2.0-1
- Update patches
- Use chkconfig

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 11.2.0-1
- Update patches
- Update TOX/UPPER_CONSTRAINTS_FILE for stable/train
- Update .gitreview for stable/train

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Sep 16 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add proper permissions on script

